<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:fitsSystemWindows="true"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="50dp">

        <TextView
            android:id="@+id/act_comment_game_app_score_start"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:paddingStart="16dp"
            android:paddingEnd="13dp"
            android:text="请打分"
            android:textColor="#ff666666"
            android:textSize="13sp" />

        <android.support.v7.widget.AppCompatRatingBar
            android:id="@+id/act_comment_game_app_score"
            style="@style/style_rating_bar"
            android:layout_width="wrap_content"
            android:layout_centerVertical="true"
            android:layout_toEndOf="@id/act_comment_game_app_score_start"
            android:isIndicator="true"
            android:numStars="5"
            android:rating="0"
            android:stepSize="0.5" />

        <ImageView
            android:layout_width="50dp"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_marginEnd="2dp"
            android:onClick="onClickXScore"
            android:padding="20dp"
            android:scaleType="fitCenter"
            android:src="@mipmap/x" />
    </RelativeLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        android:background="#fff5f5f5" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <android.support.v7.widget.AppCompatAutoCompleteTextView
            android:id="@+id/act_comment_game_app_input_comment"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@null"
            android:hint="写下您的看法"
            android:lineSpacingMultiplier="1.3"
            android:paddingStart="16dp"
            android:paddingTop="20dp"
            android:paddingEnd="16dp"
            android:paddingBottom="20dp"
            android:textColor="#333333"
            android:textColorHint="#ffcccccc"
            android:textSize="13sp" />

        <ImageView
            android:layout_width="50dp"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@id/act_comment_game_app_input_comment"
            android:layout_alignParentEnd="true"
            android:layout_marginEnd="2dp"
            android:onClick="onClickXInput"
            android:padding="20dp"
            android:scaleType="fitCenter"
            android:src="@mipmap/x" />
    </RelativeLayout>
    <!--这里是一个系统级别的bug吗，为什么上面的输入框不能自动弹出输入法，而必须添加下面的ListView来让整个界面充满才能自动弹出输入法(不能是View...)-->
    <ListView
        android:id="@+id/search_app_list"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

</LinearLayout>